Index: bfd/elf32-m32r.c
===================================================================
RCS file: /cvs/src/src/bfd/elf32-m32r.c,v
retrieving revision 1.38
diff -c -r1.38 elf32-m32r.c
*** bfd/elf32-m32r.c	3 Dec 2003 17:38:48 -0000	1.38
--- bfd/elf32-m32r.c	18 Dec 2003 10:04:33 -0000
***************
*** 739,744 ****
--- 1272,1287 ----
  {
    unsigned int i;
  
+ #ifdef USE_M32R_OLD_RELOC
+   for (i = 0;
+        i < sizeof (m32r_reloc_map_old) / sizeof (struct m32r_reloc_map);
+        i++)
+     {
+       if (m32r_reloc_map_old[i].bfd_reloc_val == code)
+ 	return &m32r_elf_howto_table[m32r_reloc_map_old[i].elf_reloc_val];
+     }
+ #else /* ! USE_M32R_OLD_RELOC */
+ 
    for (i = 0;
         i < sizeof (m32r_reloc_map) / sizeof (struct m32r_reloc_map);
         i++)
***************
*** 746,751 ****
--- 1289,1295 ----
        if (m32r_reloc_map[i].bfd_reloc_val == code)
  	return &m32r_elf_howto_table[m32r_reloc_map[i].elf_reloc_val];
      }
+ #endif
  
    return NULL;
  }
***************
*** 753,769 ****
  /* Set the howto pointer for an M32R ELF reloc.  */
  
  static void
! m32r_info_to_howto_rel (abfd, cache_ptr, dst)
       bfd *abfd ATTRIBUTE_UNUSED;
       arelent *cache_ptr;
       Elf_Internal_Rela *dst;
  {
!   unsigned int r_type;
! 
!   r_type = ELF32_R_TYPE (dst->r_info);
!   BFD_ASSERT (r_type < (unsigned int) R_M32R_max);
!   cache_ptr->howto = &m32r_elf_howto_table[r_type];
  }
  
  /* Given a BFD section, try to locate the corresponding ELF section
     index.  */
--- 1297,1326 ----
  /* Set the howto pointer for an M32R ELF reloc.  */
  
  static void
! m32r_info_to_howto_rel (abfd, cache_ptr, dst)
!      bfd *abfd ATTRIBUTE_UNUSED;
!      arelent *cache_ptr;
!      Elf_Internal_Rela *dst;
! {
!   unsigned int r_type;
! 
!   r_type = ELF32_R_TYPE (dst->r_info);
!   BFD_ASSERT (ELF32_R_TYPE(dst->r_info) <= (unsigned int) R_M32R_GNU_VTENTRY)
!   cache_ptr->howto = &m32r_elf_howto_table[r_type];
! }
! 
! static void
! m32r_info_to_howto (abfd, cache_ptr, dst)
       bfd *abfd ATTRIBUTE_UNUSED;
       arelent *cache_ptr;
       Elf_Internal_Rela *dst;
  {
!   BFD_ASSERT ((ELF32_R_TYPE(dst->r_info) == (unsigned int) R_M32R_NONE)
!               || ((ELF32_R_TYPE(dst->r_info) > (unsigned int) R_M32R_GNU_VTENTRY)
!                   && (ELF32_R_TYPE(dst->r_info) < (unsigned int) R_M32R_max)));
!   cache_ptr->howto = &m32r_elf_howto_table[ELF32_R_TYPE(dst->r_info)];
  }
+ 
  
  /* Given a BFD section, try to locate the corresponding ELF section
     index.  */
